/**
 * @see https://reactjs.org/docs/error-boundaries.html
 */
import React from 'react';
import { Warnings } from './verifiers';
declare type State = {
    hasError?: boolean;
};
declare type Props = {
    showHtml?: boolean;
    warnings?: Warnings;
};
/**
 * Wrapper for components which are exported from package.
 * It's intended to catch all errors and show friendly fallback to the user instead of error log.
 * By default it returns null in error case. You have to pass showHtml prop to show message to the user.
 * TODO: implement message showing.
 */
export declare class ErrorBoundary extends React.Component<Props, State> {
    constructor(props: Props);
    static getDerivedStateFromError(error: any): {
        hasError: boolean;
    };
    componentDidCatch(error: any, errorInfo: any): void;
    render(): {} | null | undefined;
}
export {};
